#!/usr/bin/zsh

# Commented out: To keep weblogin, results, webserver

[[ "$1" == '-d' ]] && { shift; set -x; }
[[ "$1" == '-n' ]] && { shift; NOCLEAN=y; }

pushd ~ &>/dev/null

#pgrep ruby-mri | xargs -r kill
pgrep -f 'ruby-mri /usr/bin/huntserver' | xargs -r kill
sleep 1

[[ -n "$NOCLEAN" ]] || {
  [[ -d "$SOURCES" ]] && rm -rf "$SOURCES"

  #rm -f /var/lib/bughunting/results.db

  /usr/share/bughunting/scripts/entry-copy-tasks.sh echo -n
}

#nohup /usr/share/bughunting/scripts/servers_run.rb &>> ~/server.log &
nohup huntserver &>> ~/server.log &

sleep 2
pgrep -f 'ruby-mri /usr/bin/huntserver' || {
  echo "Failed to start huntserver!" >&2
  exit 1
}

popd &>/dev/null

[[ -n "$NOCLEAN" ]] || {
  [[ "$PWD" =~ "$SOURCES" ]] && echo -e "\n!!! You need to run: cd \"\$PWD\""
}

pgrep -f 'ruby-mri /usr/share/bughunting/web/web.rb' \
  || nohup ruby-mri /usr/share/bughunting/web/web.rb &>> ~/server.log &

exit 0
