#!/usr/bin/zsh

[[ "$1" == '-l' ]] && noploop "$0; sleep 1"

podman run -p 8080:80 -p 2230:2230 \
  -v "${PWD}/tasks:/var/lib/bughunting/tasks:Z,ro" \
  -v "${PWD}/web:/usr/share/bughunting/web:Z,ro" \
  -v "${PWD}/src/bughunting:/usr/share/ruby/vendor_ruby/bughunting:Z,ro" \
  -v "${PWD}/config:/etc/bughunting:Z,ro" \
  --rm -ti bughunting/server

exit 0
